Skip to main content
POST
/
api
/
v1
/
public
/
competitors
Add Competitor
curl --request POST \
  --url https://api.tryhikoo.com/api/v1/public/competitors \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "logo_url": "<string>",
  "aliases": [
    "<string>"
  ]
}
'
{
  "id": 123,
  "name": "<string>",
  "url": "<string>",
  "aliases": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Personal API key created in the dashboard (Settings > API keys).

Headers

authorization
string | null

Bearer <api_key>

X-MCP-Secret
string | null

Query Parameters

website_id
integer
required

Target website id

Body

application/json

Schema for creating a competitor

name
string
required
url
string
required
logo_url
string | null
aliases
string[] | null
Maximum array length: 50
Required string length: 1 - 100

Response

Successful Response

Competitor schema without logo

id
integer
required
name
string
required
url
string
required
aliases
string[] | null